MINOVAES - PRODUCT - Bug #1415

[HR-BUDGET] Perhitungan dan Report Budget
07/27/2022 09:28 AM - Kezia Pawitra Yulianti

Status: Closed Start date: 07/27/2022
Priority: Urgent Due date: 07/28/2022
Assignee: Kezia Pawitra Yulianti % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Description

Dear Yomma,
minta tolong d update untuk fitur budget calculation dan reportnya ya ke port product 31133

Tks

History

#1 - 07/28/2022 04:38 PM - Tri Rizqiaty

- File clipboard-202207281638-ygivv.png added
- File clipboard-202207281638-hovzi.png added
- File Budget 20220727.zip added

- Status changed from Assigned to Developing

Fixing calculate :

1. Update folder API2\bin : MinovalS.MinovaES.Business.Budget.dll, MinovalS.MinovaES.Web.Api.V.1.dll (file terlampir)
2. Update folder Ul : Budget.asmx (file terlampir)
3. Update fodler Ul\app\controller\Budget : BudgetCalculationController.js (file terlampir)

Brew 10 d]new1 ,lne'.'.'? ,I w3 ,lnewl JnewE ,lnewT ,lne'.'.'& ,Inew% ,lnews JEI\Winovaﬂ}-pejs 1 = BudgetCalculationController js £3 |ne';.‘12 ,l

41 paramlList +=
42 = if (vObiType =— {

3 storsName = orePHRBUODOZ' ;

e_grid.setHidden(true) ;

cc_grid.setHidden(false);

p_grid.setHidden(trus);

var CostCenter = Ext.ComponentQuery.guery(’'[ we=CostCenter] ') [0]..getValue () ;
= if (CnstCenter 1= """ gL CasrCenter 1= nndefined) {
paramlist 4= CostCenter +','+CostCenter; //paramlist += CostCenter //// edit by Tri nwh 2022 5’712\ ‘

. H }
il f/paramlist += ", ";

52 } else if (vObjType = 'P') {

53 storeName = 'sto

e_grid.setHidden(trus);
cc_grid.setHidden(true);
p_grid.setHidden (false):
var OrganizationID = Ext.ComponentQuery.query(’[n
= if (CrganizationID !'= "" && CrganizationID != und:

ition] ') [0].getValue() ;

&0 paramList += OrganizationID;

61 L }

62 paramList += ",";

3 } else if (vCbiIvpe
storeName = 'stor
e_grid.setHidden( ;
oc_grid.sstiidden(true);
p_grid.setHidden(true);
var EmployeeIDFrom = Ext.ComponentQuery.query (' [name=EmployesIDFrom] ') [0] .getValue ()

4. Update Ul\scripts : MinovaXtype.js (file terlampir)
id: tableName + rec.FieldName,
nameTable: rec.TableName,
fieldGrid: rec.FieldName,

fieldStcyle: 'text-align:righc:',

value: '0'

listeners: { //// add by Tri nwh 20220711
change: function (val, recs) {

var fvalue = val.getValue():
var custumfunc = rec.S5electFunction;
if (custumFunc.toLowerCase () .substring(?, 2) == "fn') {
Ext.hjax.request ({
async: false,
method: 'EO
url: '/Us

E] params: {
tableName:
param: 'Fun ' 4+ custumFunc + ',Active[=]1'
+
E\ success: function (response) {

wvar results = Ext.decode(response.responseText);
wvar dt = results.datal[0]:

= if (dt !'= undefined) {
custumFunc = dt.FunctionCode;
}
}
Ty
¥
=] 1T {CusTumrune){
eval (custumFunc)
}
}
1
¥
10512 13 v

5. Execute SP query terlampir
Fixing Report :

1. Execute SP terlampir
2. Deploy RDL terlampir
3. Update table2 sesuai file terlampir

#2 - 07/28/2022 04:38 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

#3 - 09/13/2022 04:55 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Closed

Files

clipboard-202207281638-ygivv.png 71.7 KB 07/28/2022 Tri Rizgiaty
clipboard-202207281638-hovzi.png 86.2 KB 07/28/2022 Tri Rizqiaty
Budget 20220727 .zip 338 KB 07/28/2022 Tri Rizqgiaty
